# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.63"
name = "cn-tigerbeetle"
version = "0.1.2"
authors = [
    "TigerBeetle, Inc",
    "Krishnacore",
]
include = [
    "build.rs",
    "src/*.rs",
    "assets/tb_client.h",
    "assets/lib/*/{*.a,*.lib}",
]
description = "Cloud-native TigerBeetle client for Rust with DNS-based service discovery"
homepage = "https://github.com/krishnacore/tigerbeetle"
documentation = "https://docs.rs/tigerbeetle"
readme = "README.md"
keywords = [
    "finance",
    "accounting",
    "ledger",
    "database",
    "kubernetes",
]
categories = [
    "finance",
    "database",
]
license = "Apache-2.0"
repository = "https://github.com/krishnacore/tigerbeetle"
resolver = "2"

[dependencies.bitflags]
version = "2.6.0"

[dependencies.futures-channel]
version = "0.3.31"

[dev-dependencies.anyhow]
version = "1.0.93"

[dev-dependencies.futures]
version = "0.3.31"

[build-dependencies.anyhow]
version = "1.0.93"
